Creates a new task status
Request Information
URI Parameters :
None.
Body Parameters :
task_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task status (Created,Closed) |
string |
Required Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| is_closed |
Set this task_status as a CLOSED status (task will be archived) |
boolean | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
Request Formats :
application/json, text/json
{
"id": "2219cf83-0ba4-4614-adcb-28e1317c55a4",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"is_closed": true,
"only_for_e_service": true,
"sales_organization_id": "c3d6476a-40b8-4d0d-97cf-29b5f59ac72e",
"sales_organization_code": "sample string 8",
"reference_back_office": "sample string 9"
}
Response Information
Resource Description :
IHttpActionResult
task_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task status (Created,Closed) |
string |
Required Max length: 255 |
| description |
Description of the task status |
string |
Required Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| is_closed |
Set this task_status as a CLOSED status (task will be archived) |
boolean | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
Response Formats
application/json, text/json
{
"id": "9c3411fb-36e5-44df-9178-6f192bcaca99",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"is_closed": true,
"only_for_e_service": true,
"sales_organization_id": "4177f67a-c6fd-43ed-bbcc-c6f51d3aa2c5",
"sales_organization_code": "sample string 8",
"reference_back_office": "sample string 9"
}